package cviceni2;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;

public class RequestEncodingFilter implements Filter
{
    public void destroy() {
       this.filterConfig = null;
    }

    public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain)
        throws IOException, ServletException
    {
       String encoding = selectEncoding(request);
       if (encoding != null)
          request.setCharacterEncoding(encoding);
       chain.doFilter(request, response);
    }

    public void init(FilterConfig filterConfig) throws ServletException
    {
       this.filterConfig = filterConfig;
       this.encoding = filterConfig.getInitParameter("encoding");
    }

    protected String selectEncoding(ServletRequest request) {
       return this.encoding;
    }

    private FilterConfig filterConfig = null;
    private String encoding;
}
